package com.fdkankan.manage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.manage.entity.News;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.manage.vo.BaseParamVO;
import com.fdkankan.manage.vo.NewsDisplayParamVO;
import com.fdkankan.manage.vo.NewsPublicParamVO;
import com.fdkankan.manage.vo.NewsPutTopParamVO;
import com.fdkankan.manage.vo.PageNewsParamVO;
import com.fdkankan.manage.vo.PageNewsVO;
import com.fdkankan.manage.vo.SaveNewsParamVO;
import com.fdkankan.manage.vo.UpdateNewsParamVO;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2022-06-06
 */
public interface INewsService extends IService<News> {

    Page<PageNewsVO> pageNews(PageNewsParamVO param);

    ResultData display(Long userId, NewsDisplayParamVO param);

    ResultData putTop(Long userId, NewsPutTopParamVO param);

    ResultData publicNews(Long userId, NewsPublicParamVO param);

    ResultData delete(Long userId, BaseParamVO param);

    News getNewsDetail(BaseParamVO param);

    ResultData addNews(Long userId, SaveNewsParamVO param);

    ResultData updateNews(Long userId, UpdateNewsParamVO param);

}
